<?xml version="1.0" encoding="UTF-8"?>
<phpunit colors="true"
	bootstrap="../../../core/kernel/tests/bootstrap.php"
	strict="true"
	verbose="true">

	<php>
		<ini name="memory_limit" value="-1"/>
	</php>

	<testsuites>
		<testsuite name="all">
			<directory>../../../core/tests</directory>
			<directory>../../../modules/custom/tests</directory>
			<exclude>../../../core/tests/unit</exclude>
		</testsuite>
	</testsuites>

	<listeners>
		<listener class="\Mockery\Adapter\Phpunit\TestListener"/>
	</listeners>

	<logging>
		<!--<log type="coverage-html" target="../../../build/coverage" title="BankAccount"
			 charset="UTF-8" yui="true" highlight="true"
			 lowUpperBound="35" highLowerBound="70"/>
		<log type="coverage-clover" target="../../../build/logs/clover.xml"/>-->
		<log type="junit" target="../../../build/logs/junit.xml" logIncompleteSkipped="false"/>
	</logging>

	<filter>
		<blacklist>
			<directory suffix=".php">..</directory>
		</blacklist>
		<whitelist addUncoveredFilesFromWhitelist="true">
			<directory suffix=".php">../../../modules/custom</directory>
			<exclude>
				<directory>../../../blog</directory>
				<directory>../../../modules/mpdf</directory>
				<directory>../../../core/editor</directory>
				<directory>../../../core/ckeditor</directory>
				<directory>../../../system</directory>
				<directory>../../../vendor</directory>

				<directory>../../../core/tests</directory>
				<directory>../../../modules/*/tests</directory>

				<file>../../../core/kernel/tests/bootstrap.php</file>
			</exclude>
		</whitelist>
	</filter>
</phpunit>
